/* eventSig.c
 *
 * Call the one-task signal system call implemented in the waitOne module.
 * This should wake up the task issuing the wait system call (if any).
 *
 * Use the existing unused system calls.
 * eventWait       is sched_setaffinity 241
 * eventSig        is sched_getaffinity 242
 *
 */

/* Standard include files for syscall, see man syscall */
#include <sys/syscall.h>
#include <asm/unistd.h>
#include <stdio.h>               /* for printf */

int main(void)
{
  int n;

  printf("eventSig - calling my_syscall 242\n");

  n = syscall(__NR_sched_getaffinity);

  printf("eventSig - returned: %d\n",n);
  printf("eventSig - Done.\n");
  return 0;
}
