/* eventWait.c
 *
 * Call the one-task wait system call implemented in the waitOne module.
 * This should cause this task to sleep until the task issuing the
 * signal system call is invoked.
 *
 * Use the existing unused system calls.
 * eventWait       is sched_setaffinity 241
 * eventSig        is sched_getaffinity 242
 *
 */

/* Standard include files for syscall, see man syscall */
#include <sys/syscall.h>
#include <asm/unistd.h>
#include <stdio.h>               /* for printf */

int main(void)
{
  int n;

  printf("eventWait - calling my_syscall 241\n");

  n = syscall(__NR_sched_setaffinity);

  printf("eventWait - returned: %d\n",n);
  printf("eventWait - Done.\n");
  return 0;
}
